# https://files.pythonhosted.org/packages/d9/e9/513ad8dc17210db12cb14f2d4d190d618fb87dd38814203ea71c87ba5b68/singledispatch-3.4.0.3.tar.gz
%define module singledispatch

Name:           python-%{module}
Version:        3.4.0.3
Release:        %mkrel 1
Summary:        Implementation of functools.singledispatch from Python 3.4
Group:          Development/Python

License:        MIT
URL:            https://bitbucket.org/ambv/singledispatch
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six

%description
%{summary}.

%prep
%setup -qn %{module}-%{version}

%build
%py2_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc PKG-INFO README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 3.4.0.3-1pclos2018
- initial build
